
BlacklistViewModel = class(ViewModelBase);

-- Initializes a new BlacklistViewModel instance
function BlacklistViewModel:Constructor(filterEngine)
	ViewModelBase.Constructor(self);

	-- private
	self.Engine = filterEngine;
	self.Policy = self.Engine:GetPolicy("BlacklistPolicy");
	
	-- public
	self.Title = "Blacklist Policy";
	self.AutoRefresh = true;
	self.BlackList = self.Engine.Data.BlackList;
	
	self.RefreshCommand = function()
		self:RaisePropertyChanged("BlackList");
	end;

	self.ClearCommand = function()
		self.Policy:Clear();
		self:RaisePropertyChanged("BlackList");
	end;

	self:AddCallback(self.Policy, "Changed", function()
		if self.AutoRefresh == true then
			self:RaisePropertyChanged("BlackList");
		end
	end);
	
	self:OnPropertyChanged("AutoRefresh", function()
		if self.AutoRefresh == true then
			self:RaisePropertyChanged("BlackList");
		end
	end);
end

-- public
function BlacklistViewModel:SetAutoRefresh(enabled)
	self:SetProperty("AutoRefresh", enabled);
end
